# $NetBSD: apache24.conf,v 1.1 2021/06/24 02:32:28 triaxx Exp $
#
# Configuration example fragment for www/apache24
#
# To permit Apache to access Dotclear's files and directories, you could add it
# to the dotclear group:
# > usermod -G dotclear www

<IfModule mod_alias.c>
    Alias /dotclear/public "/var/db/dotclear/public"
    Alias /dotclear "/usr/pkg/share/dotclear"
</IfModule>

<Directory "/usr/pkg/share/dotclear">
    DirectoryIndex index.php
    Require all granted
</Directory>

<Directory "/var/db/dotclear/public">
    Require all granted
</Directory>

# Example fragment for virtual hosting
#<VirtualHost *:80>
#    DocumentRoot "/usr/pkg/share/dotclear"
#    ServerName dotclear.example.org
#
#    <IfModule mod_alias.c>
#        Alias /public "/var/db/dotclear/public"
#    </IfModule>
#
#    <Directory "/usr/pkg/share/dotclear">
#        DirectoryIndex index.php
#        Require all granted
#    </Directory>
#
#    <Directory "/var/db/dotclear/public">
#        Require all granted
#    </Directory>
#</VirtualHost>
